%define upstreamversion 22.6

Summary: The boot loader for Linux and other operating systems.
Name: lilo
Version: 0.%{upstreamversion}
Release: 2tr
License: MIT
Group: Trustix Official
Source: http://home.san.rr.com/johninsd/pub/linux/lilo/lilo-%{upstreamversion}.tar.gz
Patch0: lilo-nolatexdoc.patch
Buildroot: /var/tmp/%{name}-root
Requires: ld-linux.so.2 libc.so.6 /bin/sh
Buildrequires: perl, dev86, nasm
Autoreq: 0

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive,
boots the kernel and passes control of the system to the kernel.  LILO
can also boot other operating systems.

%package perl
Summary: The script of lilo that requires perl
Group: Trustix Official
Requires: perl
Autoreq: 0

%description perl
This package contains the perl script lilo-keymap.pl. They
have been separated into their own package so that rpm doesn't require
perl.

%prep
%setup -q -n lilo-%{upstreamversion}
%patch0 -p1 

%build
# we need a hack to properly use CFLAGS
sed -e "s/^CFLAGS=/CFLAGS=$RPM_OPT_FLAGS /" < Makefile > Makefile.new
mv Makefile.new Makefile
make
make -C doc 
rm -f doc/*.aux doc/*.log doc/*.toc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man{5,8}
make install ROOT=$RPM_BUILD_ROOT MAN_DIR=%{_mandir}
mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/bin
install -m 644 manPages/lilo.8 $RPM_BUILD_ROOT/usr/share/man/man8/
install -m 644 manPages/mkrescue.8 $RPM_BUILD_ROOT/usr/share/man/man8/
install -m 644 manPages/lilo.conf.5 $RPM_BUILD_ROOT/usr/share/man/man5/

%post
test -f /etc/lilo.conf && lilo || :

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc CHANGES COPYING INCOMPAT QuickInst README README.bitmaps
%doc README.common.problems README.disk README.pseudo README.raid1
# %doc doc
%doc sample/lilo.raid.conf sample/lilo.sample.conf
/usr/share/man/man5/lilo.conf.5.gz
/usr/share/man/man8/lilo.8.gz
/usr/share/man/man8/mkrescue.8.gz
/sbin/mkrescue
/sbin/lilo

%files perl
%defattr(-,root,root,0755)
/usr/bin/keytab-lilo.pl

%changelog
* Mon May 30 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.22.6-2tr
- Added MAN_DIR=%{_mandir} during make install stage

* Wed Sep 22 2004 Nageswara Sastry <nageswara at comodo dot com> 0.22.6-1tr
- Upgraded to version 0.22.6-1tr

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 0.22.3.2-6tr
- Rebuilt.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.22.3.2-5tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.22.3.2-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.22.3.2-3em
- Rebuilt against glibc 2.3.2.

* Tue Aug 29 2002 Goetz Bock <bock at trustix dot org> 22.3.2-2bg
- added dev86 and nasm to build requirements
- removed perl for CFlags hack, still required for README generation
- thanks to -DBUILDIN, there are no more files in /boot, or /etc

* Tue Aug  6 2002 Christian H. Toldnes <christht at trustix dot com> 22.3.2-1ct
- New upstream version.
- Built for TSL 2.0

* Fri Jun 15 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed man pages missing as reported Janke Rnnblom.

* Wed Jun  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 21.7.5

* Wed Mar  7 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 21.7

* Fri Jan 19 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added post section to rerun lilo if we have a lilo.conf.  Needed to do
  auto updates.

* Wed Nov 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Fixed Group setting.

* Fri Jul 21 2000 Oystein Viggen <oysteivi at trustix dot com>
- Version 0.21.5
- Used a nice perl hack to get RPM_OPT_FLAGS in with the other CFLAGS

* Fri Apr 28 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to version 0.21.4.2 adding support for many nice features

* Tue Mar 21 2000 Lars Gaarden <larsg at trustix dot com>
- does not build latex documentation

* Thu Jan 20 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved the keytable-part out into a separate package.  Done to avoid needing
  perl in a minimal system.

* Tue Sep 21 1999 Doug Ledford <dledford@redhat.com>
- Remove the EBDA patch from zab and put in the EBDA patch
  from the VA Research RPM.  This fixes the EBDA issues.
- Added ONE_SHOT to the compile options so that the lilo
  prompt won't timeout once you hit a key at the boot prompt

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- don't run lilo in the %post (why was that necesary?)

* Tue Apr 13 1999 Matt Wilson <msw@redhat.com>
- added patch to make Compaq SmartArrays bootable

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- add EBDA patch from zab

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- add keytab-lilo.pl to the file list

* Sun Dec  6 1998 Matt Wilson <msw@redhat.com>
- updated to release 0.21
- patched to build on 2.1.x kernels

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to release 0.20
- uses a build root

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc

